## GocEllipse

GocEllipse — Ellipse.

## Synopsis

                        GocEllipse;
    typedef             GocEllipseClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocEllipse

## Implemented Interfaces

GocEllipse implements GOStyledObject.

## Properties

      "height"                   gdouble               : Read / Write
      "rotation"                 gdouble               : Read / Write
      "width"                    gdouble               : Read / Write
      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

GocEllipse implements ellipse drawing in the canvas.

## Details

### GocEllipse

    typedef struct _GocEllipse GocEllipse;

### GocEllipseClass

    typedef GocStyledItemClass GocEllipseClass;

## Property Details

### The `"height"` property

      "height"                   gdouble               : Read / Write

The ellipse height.

Allowed values: >= 0

Default value: 0

### The `"rotation"` property

      "rotation"                 gdouble               : Read / Write

The rotation around top left position.

Allowed values: [0,6.28319]

Default value: 0

### The `"width"` property

      "width"                    gdouble               : Read / Write

The ellipse width.

Allowed values: >= 0

Default value: 0

### The `"x"` property

      "x"                        gdouble               : Read / Write

The ellipse left position (or right position in RTL mode).

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

The ellipse top position.

Default value: 0